package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * '申述状态0拒绝1通过2待处理3已撤销
 */
public enum ComplaintsStatusEnum implements BaseEnum<Integer, ComplaintsStatusEnum> {
	REJECT(0, "拒绝"),
	PASS(1, "通过"),
	WAIT(2, "待处理"),
	REPEAL(3, "撤销");

	private Integer code;

	private String msg;

	ComplaintsStatusEnum(Integer code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public Integer getCode() {
		return this.code;
	}
}
